Page MenuHomePhabricator

mobile-html: add page header
Closed, ResolvedPublic

Description

We should add a page header to the mobile-html output. This could be done in a HeaderTransform in the wikimedia-page-library, similarly to what has been done for the FooterTransform.

First phase:

  • Initially we may want to consider moving the content into it's own content element, instead of marking <body> as with the content class.
  • Add title
  • Add description if present
  • Add page image

Further improvements:

  • If there is a title pronunciation add a speaker icon button to play the title pronunciation.
  • If description editing is allowed
    • and no description exists add link to add description
    • and description exists lead section edit pencil opens native popup to edit description or lead section

Event Timeline

bearND triaged this task as Normal priority.Aug 7 2018, 4:18 AM
bearND created this task.
bearND claimed this task.Aug 17 2018, 8:56 PM
bearND moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.
This comment was removed by bearND.
bearND updated the task description. (Show Details)Oct 29 2018, 4:21 PM

Change 470433 had a related patch set uploaded (by BearND; owner: BearND):
[mediawiki/services/mobileapps@master] mobile-html: add page header

https://gerrit.wikimedia.org/r/470433

Change 470433 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] mobile-html: add page header

https://gerrit.wikimedia.org/r/470433

Jhernandez closed this task as Resolved.Feb 14 2019, 3:21 PM